WritableValue (JavaFX 17)

Module javafx.base
Package javafx.beans.value

## Interface WritableValue<T>

- Type Parameters:
    `T` - The type of the wrapped value
  All Known Subinterfaces:
    `JavaBeanProperty<T>`, `Property<T>`, `StyleableProperty<T>`, `WritableBooleanValue`, `WritableDoubleValue`, `WritableFloatValue`, `WritableIntegerValue`, `WritableListValue<E>`, `WritableLongValue`, `WritableMapValue<K,​V>`, `WritableNumberValue`, `WritableObjectValue<T>`, `WritableSetValue<E>`, `WritableStringValue`
  All Known Implementing Classes:
    `BooleanProperty`, `BooleanPropertyBase`, `DoubleProperty`, `DoublePropertyBase`, `FloatProperty`, `FloatPropertyBase`, `IntegerProperty`, `IntegerPropertyBase`, `JavaBeanBooleanProperty`, `JavaBeanDoubleProperty`, `JavaBeanFloatProperty`, `JavaBeanIntegerProperty`, `JavaBeanLongProperty`, `JavaBeanObjectProperty`, `JavaBeanStringProperty`, `ListProperty`, `ListPropertyBase`, `LongProperty`, `LongPropertyBase`, `MapProperty`, `MapPropertyBase`, `ObjectProperty`, `ObjectPropertyBase`, `ReadOnlyBooleanWrapper`, `ReadOnlyDoubleWrapper`, `ReadOnlyFloatWrapper`, `ReadOnlyIntegerWrapper`, `ReadOnlyListWrapper`, `ReadOnlyLongWrapper`, `ReadOnlyMapWrapper`, `ReadOnlyObjectWrapper`, `ReadOnlySetWrapper`, `ReadOnlyStringWrapper`, `SetProperty`, `SetPropertyBase`, `SimpleBooleanProperty`, `SimpleDoubleProperty`, `SimpleFloatProperty`, `SimpleIntegerProperty`, `SimpleListProperty`, `SimpleLongProperty`, `SimpleMapProperty`, `SimpleObjectProperty`, `SimpleSetProperty`, `SimpleStringProperty`, `SimpleStyleableBooleanProperty`, `SimpleStyleableDoubleProperty`, `SimpleStyleableFloatProperty`, `SimpleStyleableIntegerProperty`, `SimpleStyleableLongProperty`, `SimpleStyleableObjectProperty`, `SimpleStyleableStringProperty`, `StringProperty`, `StringPropertyBase`, `StyleableBooleanProperty`, `StyleableDoubleProperty`, `StyleableFloatProperty`, `StyleableIntegerProperty`, `StyleableLongProperty`, `StyleableObjectProperty`, `StyleableStringProperty`

      public interface WritableValue<T>

  A `WritableValue` is an entity that wraps a value that can be read and set. In general this interface should not be implemented directly but one of its sub-interfaces (`WritableBooleanValue` etc.).
  Since:
    JavaFX 2.0
  See Also:
    `WritableBooleanValue`, `WritableDoubleValue`, `WritableFloatValue`, `WritableIntegerValue`, `WritableLongValue`, `WritableNumberValue`, `WritableObjectValue`, `WritableStringValue`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `getValue()` | Get the wrapped value.
    `void` | `setValue​(T value)` | Set the wrapped value.

- - ### Method Detail

    - #### getValue

          T getValue()

      Get the wrapped value.
      Returns:
        The current value

    - #### setValue

          void setValue​(T value)

      Set the wrapped value.
      Parameters:
        `value` - The new value